#
# spec file for package webalizer (Version 2.20)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
%define short_lang de
%define lang german

%define pkgname webalizer
Name:           %{pkgname}-%{short_lang}
BuildRequires:  apache2-devel db-devel db1-devel gd-devel libapr-util1-devel libjpeg-devel libpng-devel mm pcre-devel xorg-x11 xorg-x11-devel
%define editlvl 01
License:        LGPL v2.1 or later
Group:          Productivity/Networking/Web/Utilities
Provides:       webalize-%{short_lang}
Obsoletes:      webalize-%{short_lang}
Requires:	webalizer
AutoReqProv:    on
Version:        2.20
Release:        1.2
Url:            http://www.mrunix.net/webalizer/
Summary:        A Web Server Log File Analysis Program
Source:         %{pkgname}-%{version}-%{editlvl}-src.tar.bz2
Patch:          %{pkgname}-%{version}-%{editlvl}.diff
Patch1:         %{pkgname}-%{version}-%{editlvl}-ia64.diff
Patch3:         %{pkgname}-%{version}-%{editlvl}-maxagent.diff
Patch4:         %{pkgname}-%{version}-%{editlvl}-configuration.diff
BuildRoot:      %{_tmppath}/%{pkgname}-%{version}-build
%define apache_serverroot %(/usr/sbin/apxs2 -q datadir 2>/dev/null || apxs -q PREFIX)

%description
Webalizer is a web server log file analysis program which produces
usage statistics in HTML format for viewing with a browser.  The
results are presented in both columnar and graphical formats, which
facilitates interpretation.  Yearly, monthly, daily, and hourly usage
statistics are presented, along with the ability to display usage by
site, URL, referrer, user agent (browser) and country (user agent and
referrer are only available if your web server produces Combined log
format files).

Webalizer supports CLF (common log format) log files, as well as
Combined log formats as defined by NCSA and others, and variations of
these which it attempts to handle intelligently.



Authors:
--------
    Bradford L. Barrett <brad@usagl.net>

%prep
%setup -q -n %{pkgname}-%{version}-%{editlvl}
%patch
%patch1
%patch3
%patch4

%build
%{suse_update_config -f}
autoconf
CFLAGS="$RPM_OPT_FLAGS -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64" ./configure --prefix=/usr \
	    --with-gdlib=%{_libdir} \
	    --with-gd=/usr/include/gd \
	    --mandir=%{_mandir} \
	    --sysconfdir=%{_sysconfdir} \
	    --enable-dns \
	    --with-language=%{lang} \
	    %{_target_cpu}-suse-linux
make LIBNAME=%{_lib}

%install
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/etc
install -d -m 755 $RPM_BUILD_ROOT/%{_mandir}/man1
make "DESTDIR=$RPM_BUILD_ROOT" install
rm -rf $RPM_BUILD_ROOT/%{_mandir}/man1
rm -rf $RPM_BUILD_ROOT/%{_bindir}/wcmgr
rm -rf $RPM_BUILD_ROOT/%{_bindir}/webazolver

mv $RPM_BUILD_ROOT/%{_sysconfdir}/webalizer.conf.sample $RPM_BUILD_ROOT/%{_sysconfdir}/webalizer-%{short_lang}.conf
mv $RPM_BUILD_ROOT/usr/bin/webalizer  $RPM_BUILD_ROOT/usr/bin/%{short_lang}_webalizer

%clean
rm -rf $RPM_BUILD_ROOT

%preun
rm -f var/lib/webalizer/*

%files
%defattr(-,root,root)
%config /etc/webalizer-%{short_lang}.conf
/usr/bin/%{short_lang}_webalizer*

%changelog
* Mon May 10 2010 Carsten Schoene <cs@linux-administrator.com> - 2.20-5
- create extra language packages
 
* Mon Jul 28 2008 anicka@suse.cz
- update to 2.20
  * Fixed problem with timing totals.
  * Fixed referrer linking to avoid possible xss injection.
  * Fixed month change detection error that caused incorrect report
  dates when logs had a 'gap' longer than a year.
  * Fixed buffer overrun possibility in parsing code and user agent
  mangle logic.
  * Added symbolic link checks for file I/O to prevent possible
  privilege escalation exploits.  Disallows reading from or writing
  to any file that is a symlink.  Thanks to Julien Danjou.
  * Added code to preserve the history and incremental data files in
  the event of a crash before writing to them completely.  Thanks
  to Robert Millan for the idea and initial code.
  * Added native geolocation services, which fully supports both IPv4
  and IPv6 lookups.  Adds the configuration keywords 'GeoDB' and
  'GeoDBDatabase' along with the '-j' and '-J' command line options.
  * Added 'wcmgr', "The Webalizer (DNS) Cache file Manager" to the
  distribution to provide cache file maintenance.  See the supplied
  man page for a description and usage information.
  * Changed history code and main index page to allow for more than
  12 months of reports to be displayed.  Added the config keywords
  'IndexMonths' (-K command line option), 'GraphMonths' (-k command
  line option) and 'YearHeaders' to control how index is displayed.
  * Changed Berkeley DB code to use current 4.x APIs.
  * Added support for bzip2 compressed log files (.bz2) as a compile
  time option (--enable-bz2).  If enabled, bzipped files will be
  decompressed automatically during processing.
  * Added support for W3C formatted logs.  Based on code submitted
  by Klaus Reimer.
  * Added GeoIP support as compile time option (--enable-geoip). Adds
  'GeoIP' and 'GeoIPDatabase' config keywords, '-w' and '-W'
  command line options. (http://www.maxmind.com/)
  * Added IPv6 support.  Based on initial code by Jose Carlos Meneiros
  and modified to support Solaris and other problematic platforms.
  * Added 'CacheIPs' config option to allow saving unresolved addresses
  in the DNS cache.
  * Added 'CacheTTL' config option which allows the DNS cache time to
  live (TTL) value to be specified at run-time.
  * Added 'SearchCaseI' config option to specify if search strings
  should be treated as case insensitive or not.  The default value,
  'yes', causes search strings to be treated as case insensitive.
  * Added 'HTAccess' config option.  Allows writing a default .htaccess
  file to the output directory.
  * Added ability to display flags in the top country table.  Adds the
  config keywords 'CountryFlags' and 'FlagDir', and -z command line
  option.
  * Added 'StripCGI' config option to configure how CGI variables on
  the end of URLs are treated (can now be stripped or left in place).
  * Added 'DefaultIndex' config option to enable/disable the use of
  "index." as a default index name to be stripped from the end of URLs.
  * Added 'TrimSquidURL' config option to allow squid log URLs to be
  reduced in granularity by a user definable amount.  Thanks to code
  submitted by Stuart Gall.
  * Added 'OmitPage' config option (and the '-O' command line switch)
  to prevent specified URLs from being counted as pages even if they
  otherwise would be.  Thanks to code submitted by Adam Morton.
  * Added 'IgnoreState' config option (and the -b command line switch)
  to allow ignoring any existing incremental data file (similar to
  the IgnoreHist/-i option).
  * Changed logic to always generate summary report (index.html),
  even if no records were processed.
  * Added color support to allow changing graph colors.  Based on the
  Webalizer-usecolor code submitted by Benoit Rouits.  Adds 11 new
  config options, see the README file for complete descriptions.
  * Added language 'lang=' specification in generated HTML files.
  * Added 'LinkReferrer' config option to allow/disallow links in the
  top referrers table.
  * Added 'PagePrefix' config option to allow URL prefix matches to
  be counted as pages, regardless of file extension or type.  Thanks
  to code submitted by Remco Van de Meent.
  * Enabled large file support (LFS) to support logs greater than 2Gb
  in size on systems that support LFS.  Also increased the size of
  most internal counters to handle larger sites.
  * Minor changes to generated HTML output
  * Updated language files country codes for current IANA TLDs
  * Changed the meaning of the -v command line switch.  It now
  causes verbose information to be displayed at run-time
  (Informational and Debug messages).
  * Changed Group* config options to allow a quoted string for
  the match string.  This allows spaces to be embedded in the
  string.
  * Changed log record parsing logic to allow spaces in URLs.
  * Made configuration keywords, boolean configuration values
  (yes/no), and log file types case insensitive.  Also fixed
  defaults for invalid values to reflect documented defaults.
  * Changed configure script to use --sysconfdir to specify the
  location of the default webalizer.conf configuration file.
  Also added support for DESTDIR during install to aid binary
  package builds.
- remove ipv6 and overflow patches
* Mon Mar 12 2007 anicka@suse.cz
- fix processing IPv6 addresses [#219403]
* Fri Dec  8 2006 anicka@suse.cz
- add IPv6 patch from Arkadiusz Miskiewicz [#219403]
* Thu Mar 16 2006 anicka@suse.cz
- change LogFile to /var/log/apache2/access_log (#157931)
- create separate patch with configuration changes
* Tue Mar 14 2006 anicka@suse.cz
- change OutputDir to /srv/www/htdocs/webalizer (#157932)
* Fri Feb 10 2006 anicka@suse.cz
- fix array subscript out of range (#135607)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon May 23 2005 mjancar@suse.cz
- increase MAXAGENT (#84040)
* Thu Apr 21 2005 tcrhak@suse.de
- added db1 and db1-devel to neededforbuild
  in order to enable DNS lookup (bug #59003)
* Mon May 10 2004 hmacht@suse.de
- building as non-root user
- changed command apxs2 to /usr/sbin/apxs2
  Mo Mai 10 18:00:37 CEST 2004
* Mon Apr 19 2004 ro@suse.de
- build with apache2
* Thu Jan  9 2003 tcrhak@suse.cz
- added LFS support
* Sun Dec 22 2002 tcrhak@suse.cz
- update to version 2.01-10
- buffer overflow security fix (patch overflow)
* Fri Aug  2 2002 ro@suse.de
- adapt server root
* Fri Feb  1 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 31 2002 tcrhak@suse.cz
- fixed security patch (don't break search strings at chars
  with ascii > 127
- used macros %%{_libdir} and %%{_lib}
* Tue Oct 30 2001 tcrhak@suse.cz
- update to 2.01-9 (includes sec-fix.patch)
* Wed Jul 18 2001 adostal@suse.cz
- fixed neededforbuild
- clear requires
* Wed Jun  6 2001 schwab@suse.de
- Remove stupid casts.
* Wed May 23 2001 cihlar@suse.cz
- fixed cast warnings on ia64
* Thu Mar 22 2001 ro@suse.de
- added freetype2 to neededforbuild
* Fri Feb 23 2001 ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Thu Nov 16 2000 cihlar@suse.cz
- renamed webalize -> webalizer
- update to version 2.01-6
- fixed neededforbuild
* Wed Nov 15 2000 ro@suse.de
- fixed neededforbuild gdlib -> gd gd-devel
* Thu Oct  5 2000 cihlar@suse.cz
- update to version 2.01.03
* Tue Aug 29 2000 cihlar@suse.cz
- fixed webalize.conf
- bzipped sources
* Wed Apr 26 2000 cihlar@suse.cz
- added BuildRoot
* Thu Apr 13 2000 ro@suse.de
- added mm to neededforbuild
* Mon Mar 13 2000 grimmer@suse.de
- fixed path to Apache logfiles (have been moved to
  /var/log/httpd for SuSE Linux 6.4)
* Wed Jan 26 2000 grimmer@suse.de
- specfile updates (added URL, Group)
- Now uses macro for man page locations
* Mon Oct 11 1999 ro@suse.de
- converted to use png with gdlib 1.7.3
* Sat Oct  2 1999 grimmer@suse.de
- Update to 1.30-04
- Specfile cleanups
- added docu
* Mon Sep 20 1999 ro@suse.de
- added requires http_daemon
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue May  4 1999 grimmer@suse.de
- Update to 1.22-03
- corrected sample configuration comment
- specfile tweaks for new version
* Thu Apr 29 1999 grimmer@suse.de
- corrected typo in config-file
* Tue Oct  6 1998 grimmer@suse.de
- new version 1.20-07
- specfile cleanup
* Thu Feb 12 1998 ro@suse.de
- new package by bb for web server log file analysis
